org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization

## Interface ExtendedEObjectReference

    public interface ExtendedEObjectReference

A representation of the model object 'Extended EObject Reference'.

The following features are supported:

- `Extended EObject`
- `Attribute Instances`
- `Reference Instances`

See Also:
  `SerializationPackage.getExtendedEObjectReference()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `getAttributeInstances()` Returns the value of the 'Attribute Instances' containment reference list.
`EObject` `getExtendedEObject()` Returns the value of the 'Extended EObject' reference.
`<any>` `getReferenceInstances()` Returns the value of the 'Reference Instances' containment reference list.
`void` `setExtendedEObject(EObject value)` Sets the value of the '`Extended EObject`' reference.

### Method Detail

#### getExtendedEObject

    EObject getExtendedEObject()

Returns the value of the 'Extended EObject' reference.

If the meaning of the 'Extended EObject' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Extended EObject' reference.
See Also:
  `setExtendedEObject(EObject)`, `SerializationPackage.getExtendedEObjectReference_ExtendedEObject()`
Generated:
Model:
  required="true"

#### setExtendedEObject

    void setExtendedEObject(EObject value)

Sets the value of the '`Extended EObject`' reference.

Parameters:
  `value` - the new value of the 'Extended EObject' reference.
See Also:
  `getExtendedEObject()`
Generated:

#### getAttributeInstances

    <any> getAttributeInstances()

Returns the value of the 'Attribute Instances' containment reference list. The list contents are of type `AbstractAttributeInstance`.

If the meaning of the 'Attribute Instances' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Attribute Instances' containment reference list.
See Also:
  `SerializationPackage.getExtendedEObjectReference_AttributeInstances()`
Generated:
Model:
  containment="true"

#### getReferenceInstances

    <any> getReferenceInstances()

Returns the value of the 'Reference Instances' containment reference list. The list contents are of type `AbstractReferenceInstance`.

If the meaning of the 'Reference Instances' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Reference Instances' containment reference list.
See Also:
  `SerializationPackage.getExtendedEObjectReference_ReferenceInstances()`
Generated:
Model:
  containment="true"